/**
 * This represents the connections between parts of a flashlight
 * 
 * @author Kent Archie 
 * @version 1.0
 */
public class Wires
{
    public final static int COPPER=0;  // ordinary copper wires
    public final static int ALUMINUM=1; // special aluminum wires
    private int type;  // which kind of wire
	private boolean status;  // is it good (true) or bad (false)

    /**
     * Constructor for objects of class Bulb
     */
    public Wires(int ntype)
    {
        type = ntype;
        status = true;
    } // Wires

    /**
     * Constructor for objects of class Wires
     */
    public Wires()
    {
        type = COPPER;
        status = true;
    } // Wires

    /**
     * Get the wire type
     * 
     * @return     the type 
     */
    public int getType()
    {
        return  type;
    } // getType

    /**
     * Get the wire status
     * 
     * @return     the status 
     */
    public boolean getStatus()
    {
        return  status;
    } // getStatus

   /**
     * Get the wire status as a string
     * 
     * @return     the status as a string
     */
    public String statusString()
    {
        return status ? "good" : "bad";
    } // statusString
    
    /** return string form of the Wires type */
    public String toString()
    {
        switch(type) {
            case COPPER :    return("COPPER");
            case ALUMINUM :  return("ALUMINUM");
            default :        return("iduno");
        } // esac
    } // toString
    
    public boolean checkWires()
    {
			double r = Math.random();
			if(r < 0.5) 
				status =  true;  // good
			else
				status =  false;   // bad
			return status;
    }  // checkWires
} // Wires
